using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.AspNetCore.Mvc;

// For more information on enabling Web API for empty projects, visit http://go.microsoft.com/fwlink/?LinkID=397860

namespace ASPNET5Web
{
 [Route("api/[controller]")]
 public class StandardApiController : Controller
 {
  // GET: api/values
  [HttpGet]
  public IEnumerable<string> Get()
  {
   return new string[] { "value1", "value2" };
  }

  // GET api/values/5
  [HttpGet("{id}")]
  //[HttpGet("{id:int}")] // ohne das int liefert /http://localhost:57127/api/standardapi/unsinn die id 0!
  public string Get(int id)
  {
   return "value " + id;
  }

  // POST api/values
  [Route("/Post")]
  public void Post([FromBody]string value)
  {
  }

  //// PUT api/values/5
  //[HttpPut("{id}")]
  //public void Put(int id, [FromBody]string value)
  //{
  //}

  //// DELETE api/values/5
  //[HttpDelete("{id}")]
  //public void Delete(int id)
  //{
  //}
 }
}
